> ## Documentation Index
> Fetch the complete documentation index at: https://docs.amplemarket.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Log call

> Log call



## OpenAPI

````yaml post /calls
openapi: 3.0.1
info:
  title: Amplemarket API V1 Docs
  version: v1
servers:
  - url: https://api.amplemarket.com
security:
  - bearerAuth: []
paths:
  /calls:
    post:
      tags:
        - Calls
      summary: Log call
      description: Log call
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                from:
                  description: The phone number that initiated the call
                  type: string
                to:
                  description: The phone number that received the call
                  type: string
                duration:
                  description: The duration of the call in seconds
                  type: integer
                answered:
                  description: A boolean indicating whether the call was answered
                  type: boolean
                human:
                  description: >-
                    A boolean indicating whether a human answered the call or if
                    it was detected as a machine/voicemail
                  type: boolean
                transcription:
                  description: The text representation of the call's audio, if available
                  type: string
                recording_url:
                  type: string
                disposition_id:
                  type: string
                  format: uuid
                  description: >-
                    Call disposition ID. If the given disposition has its action
                    set to "complete", the specified task will be marked as
                    completed, along with the associated sequence lead.
                task_id:
                  type: string
                  format: uuid
                user_id:
                  type: string
                  format: uuid
              required:
                - from
                - to
                - duration
                - answered
                - human
                - task_id
                - user_id
      responses:
        '201':
          description: successful
          content:
            application/json:
              examples:
                successful:
                  value:
                    id: 019e8e96-ed34-75b5-afd3-ede261a1f118
                    disposition_id: 019e8e96-e9bb-7e4b-8719-6f01feaa5348
                    duration: 5
                    external: true
                    start_date: '2026-06-03T17:45:16Z'
                    from: +1 123456789
                    to: +1 123456789
                    notes: null
                    transcription: null
                    task_id: 019e8e96-ec80-71c7-90bb-3f5fb617fd84
                    user_id: 019e8e96-ec19-7718-bfeb-e6fd069126ca
                    human: false
                    answered: true
                    contact: null
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                  disposition_id:
                    type: string
                    format: uuid
                  duration:
                    type: integer
                  from:
                    type: string
                  to:
                    type: string
                  notes:
                    nullable: true
                    type: string
                  transcription:
                    nullable: true
                    type: string
                  task_id:
                    type: string
                    format: uuid
                  user_id:
                    type: string
                    format: uuid
                  answered:
                    type: boolean
                  human:
                    type: boolean
                  external:
                    type: boolean
                  start_date:
                    type: string
                    format: date_time
                  contact:
                    type: object
                    nullable: true
                    properties:
                      id:
                        type: string
                      name:
                        nullable: true
                        type: string
                      email:
                        nullable: true
                        type: string
        '400':
          description: Bad request
          content:
            application/json:
              examples:
                Missing field:
                  value:
                    _errors:
                      - code: missing_field
                        title: Missing Field
                        detail: 'Missing field from request: user_id'
                        source:
                          pointer: /user_id
                    object: error
                Invalid user:
                  value:
                    _errors:
                      - code: missing_field
                        title: Missing Field
                        detail: 'Missing field from request: answered'
                        source:
                          pointer: /answered
                    object: error
              schema:
                $ref: '#/components/schemas/response_errors_object'
components:
  schemas:
    response_errors_object:
      type: object
      required:
        - object
        - _errors
      additionalProperties: false
      properties:
        object:
          type: string
          enum:
            - error
        _errors:
          type: array
          items:
            $ref: '#/components/schemas/response_error_object'
        _links:
          $ref: '#/components/schemas/response_links_object'
    response_error_object:
      type: object
      required:
        - code
        - title
        - detail
      additionalProperties: false
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          additionalProperties: false
          properties:
            pointer:
              type: string
    response_links_object:
      type: object
      required:
        - self
      additionalProperties: false
      properties:
        self:
          $ref: '#/components/schemas/response_link_object'
        prev:
          $ref: '#/components/schemas/response_link_object'
        next:
          $ref: '#/components/schemas/response_link_object'
    response_link_object:
      type: object
      required:
        - href
      additionalProperties: false
      properties:
        href:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````